"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../icon/index.js");
const constants = require("../constants.js");
const index$1 = require("../../../../../../@element-plus/icons-vue/dist/index.js");
const Vue = require("vue");
const SortIcon = (props) => {
  const { sortOrder } = props;
  return Vue.createVNode("button", {
    "type": "button",
    "aria-label": props.ariaLabel,
    "class": props.class
  }, [Vue.createVNode(index.ElIcon, { "size": 14 }, { default: () => [sortOrder === constants.SortOrder.ASC ? Vue.createVNode(index$1.SortUp, null, null) : Vue.createVNode(index$1.SortDown, null, null)] })]);
};
exports.default = SortIcon;
